%global pypi_name typish

Name:           python-%{pypi_name}
Version:        1.9.3
Release:    1%{?dist}
Summary:        Python library for additional control over types

License:        MIT
URL:            https://github.com/ramonhagenaars/typish
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Suport for functions to allow thorough checks on types. Including instance
checks considering generics and typesafe duck-typing.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(nptyping)
BuildRequires:  python3dist(mypy)
BuildRequires:  python3dist(coverage)

%description -n python3-%{pypi_name}
Suport for functions to allow thorough checks on types. Including instance
checks considering generics and typesafe duck-typing.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%pytest -v tests -k "not test_instance_of_union and not test_is_type_annotation and not test_subclass_of_union and not test_get_origin and not test_instance_of_nptyping_ndarray"

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Mon Jul 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.3-1
- initial build
